LatherBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.LatherBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class LatherBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.LatherBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class LatherBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

Lather Boss.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`LatherBossEJBImpl()`

Method Summary
`org.hyperic.lather.LatherValue` | `dispatch(org.hyperic.lather.LatherContext ctx, java.lang.String method, org.hyperic.lather.LatherValue arg)` The main dispatch command which is called via the JBoss-lather servlet.
`org.hyperic.lather.LatherValue` | `dispatchWithoutTx(org.hyperic.lather.LatherContext ctx, java.lang.String method, org.hyperic.lather.LatherValue arg)`
`org.hyperic.lather.LatherValue` | `dispatchWithTx(org.hyperic.lather.LatherContext ctx, java.lang.String method, org.hyperic.lather.LatherValue arg)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`static org.hyperic.hq.bizapp.shared.LatherBossLocal` | `getOne()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatherBossEJBImpl

    public LatherBossEJBImpl()

Method Detail

### dispatchWithTx

    public org.hyperic.lather.LatherValue dispatchWithTx(org.hyperic.lather.LatherContext ctx,
                                                         java.lang.String method,
                                                         org.hyperic.lather.LatherValue arg)
                                                  throws org.hyperic.lather.LatherRemoteException

  Throws:
    `org.hyperic.lather.LatherRemoteException`

### dispatchWithoutTx

    public org.hyperic.lather.LatherValue dispatchWithoutTx(org.hyperic.lather.LatherContext ctx,
                                                            java.lang.String method,
                                                            org.hyperic.lather.LatherValue arg)
                                                     throws org.hyperic.lather.LatherRemoteException

  Throws:
    `org.hyperic.lather.LatherRemoteException`

### dispatch

    public org.hyperic.lather.LatherValue dispatch(org.hyperic.lather.LatherContext ctx,
                                                   java.lang.String method,
                                                   org.hyperic.lather.LatherValue arg)
                                            throws org.hyperic.lather.LatherRemoteException

  The main dispatch command which is called via the JBoss-lather servlet. It is the responsibility of this routine to take the method/args, and route it to the correct method.

  Parameters:
    `ctx` - Information about the remote caller
    `method` - Name of the method to invoke
    `arg` - LatherValue argument object to pass to the method
  Returns:
    an instantiated subclass of the LatherValue class, representing the result of the invoked method
  Throws:
    `org.hyperic.lather.LatherRemoteException`

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### getOne

    public static org.hyperic.hq.bizapp.shared.LatherBossLocal getOne()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.